FLEX(1)

NOM
flex — le générateur d'analyseurs lexicaux rapides

SYNOPSIS
flex [OPTIONS] [FICHIER]...

DESCRIPTION
flex génère des programmes qui effectuent de la reconnaissance de motifs dans un texte.

  Compression de table :

-Ca, --align
    s’accommoder de tables plus grandes pour un meilleur alignement en mémoire

-Ce, --ecs
    construire des classes d’équivalence

-Cf ne pas compresser les tables ; utiliser la représentation -f

-CF ne pas compresser les tables ; utiliser la représentation -F

-Cm, --meta-ecs
    construire des classes de métaéquivalence

-Cr, --read
    utiliser la primitive read() au lieu de stdio pour l’entrée de l’analyseur

-f, --full
    générer un analyseur de grande taille, mais rapide. Identique à -Cfr

-F, --fast
    utiliser une représentation de table de remplacement. Identique à -CFr

-Cem
    compression par défaut (identique à --ecs --meta-ecs)

  Débogage :

-d, --debug
    activer le mode de débogage dans l’analyseur

-b, --backup
    générer les informations de sauvegarde dans lex.backup

-p, --perf-report
    générer un rapport de performances sur la sortie d’erreur standard

-s, --nodefault
    supprimer la règle par défaut pour le texte non reconnu

-T, --trace
    exécuter flex en mode trace

-w, --nowarn
    ne pas générer d’avertissements

-v, --verbose
    afficher un récapitulatif des statistiques de l’analyseur sur la sortie standard

--hex
    utiliser des nombres hexadécimaux à la place de nombres octaux dans la sortie de débogage

FICHIERS

-o, --outfile=FICHIER
    spécifier le nom du fichier de sortie

-S, --skel=FICHIER
    spécifier le nom du fichier de schéma

-t, --stdout
    écrire l’analyseur sur la sortie standard au lieu de l’enregistrer dans le fichier lex.yy.c

--yyclass=NOM
    nom de la classe C++

--header-file=FICHIER
    créer un fichier d’en-tête C en plus de l’analyseur

--tables-file[=FICHIER] écrire les tables dans FICHIER

--backup-file=FICHIER
    écrire les informations de sauvegarde dans FICHIER

  Comportement de l’analyseur :

-7, --7bit
    générer un analyseur sur 7 bits

-8, --8bit
    générer un analyseur sur 8 bits

-B, --batch
    générer un analyseur par lots (l’opposé de -I)

-i, --case-insensitive
    ignorer la casse dans les motifs

-l, --lex-compat
    compatibilité maximale avec le programme d’origine lex(1)

-X, --posix-compat
    compatibilité maximale avec lex(1) POSIX

-I, --interactive
    générer un analyseur interactif (l’opposé de -B)

--yylineno
    suivre le nombre de lignes dans yylineno

  Code généré :

-+,  --c++
    générer une classe d’analyseurs en C++

-Dmacro[=defn]
    définir (avec la directive #define) la macro defn ; valeur par défaut : « 1 »

-L,  --noline
    supprimer les directives #line de l’analyseur

-P,  --prefix=CHAÎNE
    utiliser CHAÎNE comme préfixe à la place de « yy »

-R,  --reentrant
    générer un analyseur réentrant en C

--bison-bridge
    générer un analyseur compatible avec bison(1)

--bison-locations
    inclure la prise en charge de yylloc

--stdinit
    définir yyin/yyout à « stdin »/« stdout » respectivement

--nounistd
    ne pas inclure unistd.h

--noFONCTION
    ne pas générer la FONCTION spécifiée

  Divers :

-c  option POSIX « ne rien faire »

-n  option POSIX « ne rien faire »

-?

-h, --help
    afficher un message d’aide

-V, --version
    afficher le numéro de version de flex

VOIR AUSSI
La documentation complète de flex est entretenue sous la forme d’un manuel Texinfo. Si les programmes info et flex sont correctement installés sur votre système, la commande

    info flex

devrait vous donner accès au manuel complet.

TRADUCTION
La traduction française de cette page de manuel a été créée par Lucien Gentis <lucien.gentis@univ-lorraine.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.